%define ghc_ver %(ghc --numeric-version)
%define pkg_name %(echo %name | sed "s|^ghc-||")

Name:          ghc-http-client-tls
Version:       0.3.6.3
Release:       2mamba
Summary:       GHC http-client-tls: http-client backend using the connection package and tls library
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://hackage.haskell.org/package/%{pkg_name}
Source:        https://hackage.haskell.org/package/http-client-tls-%{version}/http-client-tls-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-appar-devel
BuildRequires: ghc-asn1-encoding-devel
BuildRequires: ghc-asn1-parse-devel
BuildRequires: ghc-asn1-types-devel
BuildRequires: ghc-async-devel
BuildRequires: ghc-base64-bytestring-devel
BuildRequires: ghc-basement-devel
BuildRequires: ghc-blaze-builder-devel
BuildRequires: ghc-byteorder-devel
BuildRequires: ghc-case-insensitive-devel
BuildRequires: ghc-cereal-devel
BuildRequires: ghc-cookie-devel
BuildRequires: ghc-crypton-connection-devel
BuildRequires: ghc-crypton-devel
BuildRequires: ghc-crypton-x509-devel
BuildRequires: ghc-crypton-x509-store-devel
BuildRequires: ghc-crypton-x509-system-devel
BuildRequires: ghc-crypton-x509-validation-devel
BuildRequires: ghc-data-default-class-devel
BuildRequires: ghc-hashable-devel
BuildRequires: ghc-hourglass-devel
BuildRequires: ghc-http-client-devel
BuildRequires: ghc-http-types-devel
BuildRequires: ghc-iproute-devel
BuildRequires: ghc-libs
BuildRequires: ghc-memory-devel
BuildRequires: ghc-mime-types-devel
BuildRequires: ghc-network-devel
BuildRequires: ghc-network-uri-devel
BuildRequires: ghc-old-locale-devel
BuildRequires: ghc-old-time-devel
BuildRequires: ghc-pem-devel
BuildRequires: ghc-random-devel
BuildRequires: ghc-socks-devel
BuildRequires: ghc-splitmix-devel
BuildRequires: ghc-streaming-commons-devel
BuildRequires: ghc-th-compat-devel
BuildRequires: ghc-tls-devel
BuildRequires: ghc-unix-time-devel
BuildRequires: ghc-zlib-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
BuildRequires: ghc-rpm-macros
BuildRequires: ghc-http-client-devel >= 0.7.15-2mamba
Requires:      ghc = %{ghc_ver}

%description
%{summary}.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{?epoch:%epoch:}%{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{?epoch:%epoch:}%{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n http-client-tls-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%changelog
* Sun Dec 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.6.3-2mamba
- rebuilt without ghc-exceptions-devel

* Sun Dec 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.6.3-1mamba
- package created using the webbuild interface
